Druid 0.15 版本启动错误

Druid 启动的时候提示错误如下:

[Fri May 28 00:17:16 2021] Command[zk] exited (pid = 3835, exited = 1)
[Fri May 28 00:17:16 2021] Command[zk] failed, see logfile for more details: /var/druid/var/sv/zk.log

通过上面的提示到日志中进行查看后发现的错误信息是:

Error: Could not find or load main class org.apache.zookeeper.server.quorum.QuorumPeerMain
Error: Could not find or load main class org.apache.zookeeper.server.quorum.QuorumPeerMain
Error: Could not find or load main class org.apache.zookeeper.server.quorum.QuorumPeerMain
Error: Could not find or load main class org.apache.zookeeper.server.quorum.QuorumPeerMain

上面的内容是你在控制台中看到的内容。

原因和解决

简单来说出现上面的错误的原因就是在你的 Druid 服务器上没有安装 Zookeeper。

进入当前的 Druid 目录后,依次执行下面的命令:

curl https://archive.apache.org/dist/zookeeper/zookeeper-3.4.11/zookeeper-3.4.11.tar.gz -o zookeeper-3.4.11.tar.gz
tar -xzf zookeeper-3.4.11.tar.gz
mv zookeeper-3.4.11 zk

上面的命令将会从远程下载 zookeeper-3.4.11 版本,然后解压放到当前的 Druid 的 zk 目录中。

这个问题是在 Druid 0.15 版本的时候出现的。

在当前的 0.21 的版本中,已经不需要这样多此一举了。